<?php
class User {
	private $_memberID;
	private $_name;
	private $_password;
	
	public function __construct($memberID, $name, $password) {
		$this->_memberID = $memberID;
		$this->_name = $name;
		$this->_password = $password;
	}
	
	public function getMemberID() {
		return $this->_memberID;
	}
	public function getName() {
		return $this->_name;
	}
	public function authentication($password) {
		return $this->_password == $password;
	}
}
?>